Page MenuHomePhabricator

Verify list of all wikis where the education extension is currently installed
Closed, ResolvedPublic

Description

To facilitate community announcements and follow up, we have verified the installation and usage of the extension on the following Wikimedia wikis:

WikiExtension still in use?Notified ?
Arabic WikipediaYes (at least 4 ongoing courses)Yes, on 2018-03-05 by @alanajjar
Catalan WikipediaNo (last course 2015)
Czech WikipediaNo (last course 2017)
Dutch WikipediaNo (last course 2015)
English WikinewsNo (last course 2015)
English WikipediaYes (instructors seem to be aware of Dashboard transition)
French WikisourceNo (last course 2016)
German WikiversityNo (last course 2013)
Greek WikipediaNo (last course 2017)
Hebrew WikipediaNo (last course 2017)
Hebrew Wiktionary(No (never used)
Italian WikiversityYes
Latvian WikipediaNo (last course 2017)
Macedonian WikipediaNo (last course 2013)
Persian WikipediaNo (last course 2017)
Portuguese WikipediaYes (in touch with instructor)
Russian WikipediaNo (last course 2017)
Serbian WikipediaNo (last course 2017)
Spanish WikipediaNo (last course January 2018)Yes, on 2018-03-05 by @MarcoAurelio
Swedish WikipediaNo (last course 2017)
Ukrainian WikipediaYes (at least 5 ongoing courses)

Is it possible to verify by some means if any wiki is missing? Additionally, is it possible to see how recently the extension has been used on each wiki (I assume it is not actively or recently used in some of these projects, making the removal more straightforward).

Event Timeline

TFlanagan-WMF triaged this task as Low priority.Feb 16 2018, 7:10 PM
TFlanagan-WMF created this task.

Even it.wikiversity has installed this extension

This page doesn't include Italian Wikiversity:

https://outreach.wikimedia.org/wiki/Education/Extension#Current_installations

How can we get an accurate picture of all the wikis? There is the MediaWiki landing page here:

https://www.mediawiki.org/wiki/Extension:Education_Program

According to rOMWC Wikimedia - MediaWiki Config this is the current list of production wikis where the EducationProgram extension exists (permalink):

'wmgUseEducationProgram' => [
  'default' => false,
  'arwiki' => true, // T59729
  'cawiki' => true, // T73381
  'cswiki' => true, // T56223
  'dewikiversity' => true,
  'elwiki' => true, // T58771
  'enwiki' => true,
  'enwikinews' => true, // T55984
  'eswiki' => true, // T56826
  'fawiki' => true,
  'frwikisource' => true, // T105853
  'hewiki' => true, // T50848
  'hewiktionary' => true, // T89393
  'itwikiversity' => true, // T162692
  'lvwiki' => true, // T89898
  'mkwiki' => true, // T50262
  'nlwiki' => true, // T52574
  'ptwiki' => true, // T54870
  'ruwiki' => true, // T89588
  'srwiki' => true, // T110619
  'svwiki' => true, // T51009
  'ukwiki' => true, // T66143
],

Thanks @MarcoAurelio . It seems that at least on one point there is discrepancy: Wikiapiary does not show hewiktionary, instead it shows kidipedia.org.il...

MarcoAurelio updated the task description. (Show Details)Mar 1 2018, 6:55 PM

As for WMF wikis, only itwikiversity was missing from the task description. I've fixed that.

I updated the table with some context on usage (using the Special:Courses link on each wiki).

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptMar 4 2018, 7:30 PM
MarcoAurelio updated the task description. (Show Details)Mar 5 2018, 7:47 PM

Spanish Wikipedia has been notified.

I am the wikipedia education program team leader who still use education extension at ar.wiki. i am notified but i will still use it until 30 june because prof at my university are more familiar with it.

Arabic Wikipedia has been notified.

here and here

alanajjar updated the task description. (Show Details)Mar 5 2018, 8:22 PM

@MarcoAurelio Could you please help us proceeding with the announcement in all the listed wikis? I think people on the local village pumps might be able to help with the translations once they see it there, rather than waiting for them to come to the Meta page.

@VMasrour-WMF Excluding already notified wikis, I can indeed massmessage their village pumps a message in English. Translations later won't be required though. If that's what you want.

Elitre added a comment.Mar 8 2018, 5:56 PM

@VMasrour-WMF Excluding already notified wikis, I can indeed massmessage their village pumps a message in English. Translations later won't be required though. If that's what you want.

FWIW If you use mass message you could put the following at the top

{{int:Hello}}. {{Int:Please-translate}}. {{Int:Feedback-thanks-title}}

So you can greet, ask for translation and thank in the local language (these messages are widely used and so will work for several languages).

Yeah I know that, but some wikis find disrespectful that they're being frequently contacted in English instead of on the project language. I can understand that, and I can also understand the need to contact the wikis and not having translations avalaible.

Elitre added a comment.Mar 8 2018, 6:16 PM

Yeah I know that, but some wikis find disrespectful that they're being frequently contacted in English instead of on the project language. I can understand that, and I can also understand the need to contact the wikis and not having translations avalaible.

(sidenote - that's why we're always looking for helpful community members who want to make their communities happy! /sidenote)

Is there a Meta page that is not getting translations? Otherwise, one could be made, a request for translation could be made, and then the translated versions could be sent out either in MassMessage or manually - it may be too much in this case, but if the team is not in a hurry, it's also an option to consider.

If MediaWiki-extensions-TranslationNotifications worked... but it's unusable on Meta right now.

If you want to go with the English message that's fine for me. It's faster and easier for me.

As we know, the Extension is not in use in most of the wikis anyways, so i think it's better to send the messages now, and i'll deal with blow back if it comes to that.

Maybe adding "Apologies for posting in English" at the top of the message will soften things?

Thanks again!

I'll do it then.

All wikis notified.

Great! Thank you so much!

@VMasrour-WMF There is currently some discussion and questions for the Education team at here. Somebody from the team should have a look. I was just the messenger.

No worries, i'll take it from here! Once again, your help is greatly appreciated!

1339861mzb updated the task description. (Show Details)Apr 26 2018, 5:36 PM

Also note that https://outreach.wikimedia.org/wiki/Education/Extension#Current_installations is yet another list that should likely get killed. Please.

Reedy closed this task as Resolved.Jul 26 2018, 12:37 AM

We've verified.

Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJul 26 2018, 12:37 AM